bots.create
Create an agent from a full definition.
Creates an agent from a node and edge graph you provide directly. Use this when you want full control over the workflow structure, or when programmatically generating agents.
The workflow_definition object contains nodes (the steps in the conversation) and edges (transitions between steps). See Editing a Workflow for the full schema.
Reference
POST/api/v1/workflows/create/definition
- Auth
- API key in
X-API-Key - Content
- application/json
- Returns
- 200 · WorkflowResponse
Create a new workflow from the client Args: request: The create workflow request user: The user to create the workflow for
Arguments
| Argument | In | Type | Required | Description |
|---|---|---|---|---|
name | body | string | required | |
workflow_definition | body | Workflow Definition | required |
Example request
curl -X POST "https://api.decibyl.ai/api/v1/workflows/create/definition" \
-H "X-API-Key: dcb_your_key" \
-H "Content-Type: application/json" \
-d '{"name":"string","workflow_definition":{}}'Response
{
"id": 1,
"name": "string",
"status": "string",
"is_live": true,
"visibility": "everyone",
"created_at": "2026-09-14T09:30:00Z",
"workflow_definition": {},
"current_definition_id": 1,
"template_context_variables": {},
"call_disposition_codes": {
"disposition_codes": []
},
"total_runs": 1,
"workflow_configurations": {},
"version_number": 1,
"version_status": "string",
"workflow_uuid": "string"
}Errors
| Status | When |
|---|---|
404 | Not found |
422 | Validation Error |